Index: kernel/shiftgb.cc
===================================================================
--- kernel/shiftgb.cc	(revision b1dfafea903056b0174392be985b546171e4736e)
+++ kernel/shiftgb.cc	(revision a41623dd1e56318466dc81751481d37d19489c7b)
@@ -60,5 +60,5 @@
   poly s   = p_mLPshift(p, sh, uptodeg, lV, r); // lm in currRing
   poly pp = pNext(p);
-  
+
   while (pp != NULL)
   {
@@ -119,5 +119,5 @@
 
   int j;
-  //  for (j=1; j<=r->N; j++) 
+  //  for (j=1; j<=r->N; j++)
   // L*lV gives the last position of the last block
   for (j=1; j<= L*lV ; j++)
@@ -131,9 +131,9 @@
     }
 #ifdef PDEBUG
-    else 
+    else
     {
       if (e[j]!=0)
       {
-	//         Print("p_mLPshift: ex[%d]=%d\n",j,e[j]);
+         //         Print("p_mLPshift: ex[%d]=%d\n",j,e[j]);
       }
     }
@@ -149,5 +149,5 @@
   //  p_SetCoeff0(m,p_GetCoeff(p,r),r);
   p_SetComp(m,p_GetComp(p,r),r); // component is preserved
-  p_SetCoeff0(m,p_GetCoeff(p,r),r);  // coeff is preserved 
+  p_SetCoeff0(m,p_GetCoeff(p,r),r);  // coeff is preserved
   return(m);
 }
@@ -226,5 +226,5 @@
   /* the 0th block is the 1st one */
   poly q = p; //p_Copy(p,currRing); /* need it ? */
-  int ans = 0; 
+  int ans = 0;
   int ansnew = 0;
   while (q!=NULL)
@@ -251,9 +251,9 @@
   j = currRing->N;
   while ( (!e[j]) && (j>=1) ) j--;
-  if (j==0) 
+  if (j==0)
   {
 #ifdef PDEBUG
     PrintS("pmLastVblock: unexpected zero exponent vector\n");
-#endif   
+#endif
     return(j);
   }
@@ -273,5 +273,5 @@
 
   int ans = p_mLastVblock(p, lV, r); // Block of LM
-  poly q = pNext(p); 
+  poly q = pNext(p);
   int ansnew = 0;
   while (q != NULL)
@@ -291,5 +291,5 @@
   /* the 0th block is the 1st one */
   poly q = p; //p_Copy(p,currRing); /* need it ? */
-  int ans = 0; 
+  int ans = 0;
   int ansnew = 0;
   while (q!=NULL)
@@ -316,9 +316,9 @@
   j = r->N;
   while ( (!e[j]) && (j>=1) ) j--;
-  if (j==0) 
+  if (j==0)
   {
 #ifdef PDEBUG
     PrintS("pmLastVblock: unexpected zero exponent vector\n");
-#endif   
+#endif
     return(j);
   }
@@ -334,5 +334,5 @@
   /* the 0th block is the 1st one */
   poly q = p; //p_Copy(p,currRing); /* need it ? */
-  int ans = 0; 
+  int ans = 0;
   int ansnew = 0;
   while (q!=NULL)
@@ -359,9 +359,9 @@
   j = 1;
   while ( (!e[j]) && (j<=currRing->N-1) ) j++;
-  if (j==currRing->N + 1) 
+  if (j==currRing->N + 1)
   {
 #ifdef PDEBUG
     PrintS("pmFirstVblock: unexpected zero exponent vector\n");
-#endif   
+#endif
     return(j);
   }
@@ -384,5 +384,5 @@
   int *e = (int *)omAlloc0((currRing->N+1)*sizeof(int));
   int  b = (int)((currRing->N +lV-1)/lV); /* the number of blocks */
-  //int b  = (int)(currRing->N)/lV; 
+  //int b  = (int)(currRing->N)/lV;
   int *B = (int *)omAlloc0((b+1)*sizeof(int)); /* the num of elements in a block */
   pGetExpV(p,e);
@@ -413,5 +413,5 @@
 //   }
   /* now B[j] != 0 and we test place-squarefreeness */
-  for (j; j>=1; j--)
+  for (; j>=1; j--)
   {
     if (B[j]!=1)
@@ -472,6 +472,6 @@
     i = si_max(i, p_LastVblock(pNext(p), lV, r) );
   }
-  //  i = uptodeg  - i +1; 
-  i = uptodeg  - i; 
+  //  i = uptodeg  - i +1;
+  i = uptodeg  - i;
   //  p_wrp(p,currRing,r); Print("----i:%d",i); PrintLn();
   return(i);
@@ -495,5 +495,5 @@
   poly s   = p_mShrink(p, lV, r); // lm in currRing
   poly pp = pNext(p);
-  
+
   while (pp != NULL)
   {
@@ -517,5 +517,5 @@
   poly q = NULL;
   poly pp = p;
-  
+
   while (pp != NULL)
   {
@@ -546,7 +546,7 @@
     for (i=(j-1)*lV + 1; i<= j*lV; i++)
     {
-      if (e[i]==1) 
+      if (e[i]==1)
       {
-	//      B[j] = B[j]+1; // for control in V?
+         //      B[j] = B[j]+1; // for control in V?
          S[(cnt-1)*lV + (i - (j-1)*lV)] = e[i];
          /* assuming we are in V, can interrupt here */
@@ -568,5 +568,5 @@
   /*  p_Setm(s,r); // done by p_SetExpV */
   p_SetComp(s,p_GetComp(p,r),r); // component is preserved
-  p_SetCoeff(s,p_GetCoeff(p,r),r);  // coeff is preserved 
+  p_SetCoeff(s,p_GetCoeff(p,r),r);  // coeff is preserved
 #ifdef PDEBUG
   //  Print("p_mShrink: from "); p_wrp(p,r); Print(" to "); p_wrp(s,r); PrintLn();
